KamiExtraActionButtonScale = .7;
KamiUIDebugStatus = false;

KamiUI = {};

function KamiUI.GetDebug()
    print("Debug: "..tostring(KamiUIDebugStatus));
end
function ToggleDebug()
    if (KamiUIDebugStatus == true)
    then KamiUIDebugStatus = false;
    else
        KamiUIDebugStatus = true;
    end
end

function KamiUI.KamiLog(message)
    if (KamiUIDebugStatus == true) then
        --print(message);
        SendChatMessage(message, "CHANNEL", nil, GetChannelName("KamiUILog"))
    end
end
function KamiUI.Split(str, delim, maxNb)
    -- Eliminate bad cases...
    if string.find(str, delim) == nil then
        return { str }
    end
    if maxNb == nil or maxNb < 1 then
        maxNb = 0    -- No limit
    end
    local result = {}
    local pat = "(.-)" .. delim .. "()"
    local nb = 0
    local lastPos
    for part, pos in string.gmatch(str, pat) do
        nb = nb + 1
        result[nb] = part
        lastPos = pos
        if nb == maxNb then break end
    end
    -- Handle the last field
    if nb ~= maxNb then
        result[nb + 1] = string.sub(str, lastPos)
    end
    return result
end


function KamiUI.KamiSlashCommandHandler(input)
	local fullinput = Split(input, " ");
    KamiUI.KamiLog(tostring(fullinput[1]))
	if (fullinput[1] == "SetScale") then
		if (tonumber(fullinput[3]) ~= nil) then
			KamiExtraActionButtonScale = tonumber(fullinput[3]);
		end
	elseif (fullinput[1] == "debug") then
		--show/hide the frame
		KamiUI.KamiLog(tostring(fullinput[2]))
		if (fullinput[2] == "toggle") then
			KamiUI.ToggleDebug();
		elseif (fullinput[2] == "true") then
			if (not KamiUIDebugStatus) then
				KamiUI.ToggleDebug()
				KamiUI.GetDebug()
			end
		elseif (fullinput[2] == "false") then
			if (KamiUIDebugStatus) then
				KamiUI.ToggleDebug()
				KamiUI.GetDebug()
			end
		else
			KamiUI.GetDebug()
		end
	else
		print("Usage: /kamiui [SetScale|debug]")
	end
end

SLASH_KAMIUI1 = "/kamiui"
SlashCmdList["KAMIUI"] = KamiSlashCommandHandler;
--KamiUI.ToggleDebug();
--GetDebug();
